﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace AxisLabels
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Random r = new Random();
            Data1 = new ObservableCollection<Data>();

            for (int i = 0; i < 12; i++)
            {
                Data1.Add(new Data { Value = r.Next(10, 30), Date = DateTime.Now.AddMonths(i) });
            }

            DataContext = this;
        }

        public ObservableCollection<Data> Data1 { get; set; }
    }

    public class Data
    {
        public int Value { get; set; }
        public DateTime Date { get; set; }
    }
}
